# -*- coding: utf-8 -*-

# Author: Xue Yang <yangxue-2019-sjtu@sjtu.edu.cn>
#
# License: Apache-2.0 license

import numpy as np
import tensorflow as tf


def get_element1_tf(w1, h1, a1, w2, h2, a2):
    element1 = (w1 - w1 * tf.sin(a1) ** 2 + h1 * tf.sin(a1) ** 2) ** 2 / 4 + (w2 ** 2 * tf.cos(a2) ** 2) / 4 + (h2 ** 2 * tf.sin(a2) ** 2) / 4 + (tf.sin(
        2 * a1) ** 2 * (h1 - w1) ** 2) / 16 - ((2 * w1 ** 2 * w2 ** 2 + 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (
                                              1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2)) ** (1 / 2) * (
                                             (h1 ** 2 * h2 ** 2 * tf.sin(2 * a1)) / 4 + (
                                             h1 ** 2 * h2 ** 2 * tf.sin(2 * a2)) / 8 + (
                                             h1 ** 2 * w2 ** 2 * tf.sin(2 * a1)) / 4 - (
                                             h2 ** 2 * w1 ** 2 * tf.sin(2 * a1)) / 4 - (
                                             h1 ** 2 * w2 ** 2 * tf.sin(2 * a2)) / 8 + (
                                             h2 ** 2 * w1 ** 2 * tf.sin(2 * a2)) / 8 - (
                                             w1 ** 2 * w2 ** 2 * tf.sin(2 * a1)) / 4 - (
                                             w1 ** 2 * w2 ** 2 * tf.sin(2 * a2)) / 8 + (
                                             h1 ** 2 * h2 ** 2 * tf.sin(4 * a1 - 2 * a2)) / 8 - (
                                             h1 ** 2 * w2 ** 2 * tf.sin(4 * a1 - 2 * a2)) / 8 + (
                                             h2 ** 2 * w1 ** 2 * tf.sin(4 * a1 - 2 * a2)) / 8 - (
                                             w1 ** 2 * w2 ** 2 * tf.sin(4 * a1 - 2 * a2)) / 8 + (
                                             h1 * h2 ** 2 * w1 * tf.sin(2 * a2)) / 4 - (
                                             h1 * w1 * w2 ** 2 * tf.sin(2 * a2)) / 4 - (
                                             h1 * h2 ** 2 * w1 * tf.sin(4 * a1 - 2 * a2)) / 4 + (
                                             h1 * w1 * w2 ** 2 * tf.sin(4 * a1 - 2 * a2)) / 4) * (2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (1 / 2) - 2 * h1 ** 2 * h2 ** 2 * tf.cos(2 * a1) - h1 ** 2 * h2 ** 2 * tf.cos(
        2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(2 * a1) + 2 * h2 ** 2 * w1 ** 2 * tf.cos(2 * a1) + h1 ** 2 * w2 ** 2 * tf.cos(
        2 * a2) - h2 ** 2 * w1 ** 2 * tf.cos(2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(2 * a1) + w1 ** 2 * w2 ** 2 * tf.cos(
        2 * a2) - h1 ** 2 * h2 ** 2 * tf.cos(4 * a1 - 2 * a2) + h1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 2 * a2) - h2 ** 2 * w1 ** 2 * tf.cos(4 * a1 - 2 * a2) + w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.cos(2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.cos(
        2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.cos(4 * a1 - 2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.cos(4 * a1 - 2 * a2))) / (2 * (
    2 * h1 ** 2 * h2 ** 2 * tf.sin(2 * a1) + h1 ** 2 * h2 ** 2 * tf.sin(2 * a2) + 2 * h1 ** 2 * w2 ** 2 * tf.sin(
        2 * a1) - 2 * h2 ** 2 * w1 ** 2 * tf.sin(2 * a1) - h1 ** 2 * w2 ** 2 * tf.sin(2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
        2 * a2) - 2 * w1 ** 2 * w2 ** 2 * tf.sin(2 * a1) - w1 ** 2 * w2 ** 2 * tf.sin(2 * a2) + h1 ** 2 * h2 ** 2 * tf.sin(
        4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * tf.sin(4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
        4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * tf.sin(4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.sin(
        2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.sin(2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.sin(
        4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.sin(4 * a1 - 2 * a2)) * (
                                                                                                                 3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2)) ** (
                                                                                                                 1 / 2)) - (
                                                                                                                           (
                                                                                                                           2 * w1 ** 2 * w2 ** 2 - 2 ** (
                                                                                                                           1 / 2) * (
                                                                                                                           3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2)) ** (
                                                                                                                           1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2)) ** (
                                                                                                                           1 / 2) * (
                                                                                                                           (
                                                                                                                           h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                                               2 * a1)) / 4 + (
                                                                                                                           h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                                               2 * a2)) / 8 + (
                                                                                                                           h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a1)) / 4 - (
                                                                                                                           h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                                               2 * a1)) / 4 - (
                                                                                                                           h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a2)) / 8 + (
                                                                                                                           h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                                               2 * a2)) / 8 - (
                                                                                                                           w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a1)) / 4 - (
                                                                                                                           w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a2)) / 8 + (
                                                                                                                           h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 - (
                                                                                                                           h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 + (
                                                                                                                           h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 - (
                                                                                                                           w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 + (
                                                                                                                           h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                                               2 * a2)) / 4 - (
                                                                                                                           h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a2)) / 4 - (
                                                                                                                           h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 4 + (
                                                                                                                           h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 4) * (
                                                                                                                           2 ** (
                                                                                                                           1 / 2) * (
                                                                                                                           3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2)) ** (
                                                                                                                           1 / 2) + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                                               2 * a1) + h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                                               2 * a2) + 2 * h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               2 * a1) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                                               2 * a1) - h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               2 * a2) + h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                                               2 * a2) - 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               2 * a1) - w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               2 * a2) + h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                                               2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                                               2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 2 * a2))) / (
                                                                                                                           2 * (
                                                                                                                           2 * h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                                               2 * a1) + h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                                               2 * a2) + 2 * h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a1) - 2 * h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                                               2 * a1) - h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                                               2 * a2) - 2 * w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a1) - w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a2) + h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                                               2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                                               2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                                               4 * a1 - 2 * a2)) * (
                                                                                                                           3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                               4 * a1 - 4 * a2)) ** (
                                                                                                                           1 / 2))

    return element1


def get_element3_tf(w1, h1, a1, w2, h2, a2):
    element3 = (w2 ** 2 * tf.sin(2 * a2)) / 8 - (h2 ** 2 * tf.sin(2 * a2)) / 8 + ((2 * w1 ** 2 * w2 ** 2 + 2 ** (
    1 / 2) * (
                                                                                       3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                           2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                           4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                           2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                           2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                           4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                           4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                           2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                           4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                           4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                           4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                           4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                           4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                           4 * a1 - 4 * a2)) ** (
                                                                                       1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2)) ** (1 / 2) * (
                                                                                      (h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                          2 * a1)) / 4 + (
                                                                                          h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                              2 * a2)) / 8 + (
                                                                                          h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                              2 * a1)) / 4 - (
                                                                                          h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                              2 * a1)) / 4 - (
                                                                                          h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                              2 * a2)) / 8 + (
                                                                                          h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                              2 * a2)) / 8 - (
                                                                                          w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                              2 * a1)) / 4 - (
                                                                                          w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                              2 * a2)) / 8 + (
                                                                                          h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 - (
                                                                                          h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 + (
                                                                                          h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 - (
                                                                                          w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 + (
                                                                                          h1 * h2 ** 2 * w1 * tf.sin(
                                                                                              2 * a2)) / 4 - (
                                                                                          h1 * w1 * w2 ** 2 * tf.sin(
                                                                                              2 * a2)) / 4 - (
                                                                                          h1 * h2 ** 2 * w1 * tf.sin(
                                                                                              4 * a1 - 2 * a2)) / 4 + (
                                                                                          h1 * w1 * w2 ** 2 * tf.sin(
                                                                                              4 * a1 - 2 * a2)) / 4)) / (
                                                                                 2 * (
                                                                                     3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                         2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                         4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                         2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                         2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                         4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                         4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                         2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                         4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                         4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                         4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                         4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                         4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                         4 * a1 - 4 * a2)) ** (
                                                                                 1 / 2)) - ((
                                                                                            2 * w1 ** 2 * w2 ** 2 - 2 ** (
                                                                                            1 / 2) * (
                                                                                                3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                    2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                    2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                    2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                    2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                    4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                    4 * a1 - 4 * a2)) ** (
                                                                                                1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                2 * a1 - 2 * a2)) ** (
                                                                                            1 / 2) * (
                                                                                                (
                                                                                                h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                    2 * a1)) / 4 + (
                                                                                                h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                    2 * a2)) / 8 + (
                                                                                                    h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                        2 * a1)) / 4 - (
                                                                                                h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                    2 * a1)) / 4 - (
                                                                                                    h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                        2 * a2)) / 8 + (
                                                                                                h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                    2 * a2)) / 8 - (
                                                                                                    w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                        2 * a1)) / 4 - (
                                                                                                w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                    2 * a2)) / 8 + (
                                                                                                    h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 - (
                                                                                                    h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 + (
                                                                                                    h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 - (
                                                                                                    w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 + (
                                                                                                    h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                        2 * a2)) / 4 - (
                                                                                                h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                    2 * a2)) / 4 - (
                                                                                                    h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                                    h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                        4 * a1 - 2 * a2)) / 4)) / (
                                                                                           2 * (
                                                                                               3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                   2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                   2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                   2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                   2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                   4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                   4 * a1 - 4 * a2)) ** (
                                                                                           1 / 2)) - tf.sin(2 * a1) * (
    h1 / 4 - w1 / 4) * (
                                                                                                         h1 / 2 + (
                                                                                                         w1 * tf.sin(
                                                                                                             a1) ** 2) / 2 - (
                                                                                                         h1 * tf.sin(
                                                                                                             a1) ** 2) / 2) - tf.sin(
        2 * a1) * (h1 / 4 - w1 / 4) * (
                                                                                                                                  w1 / 2 - (
                                                                                                                                  w1 * tf.sin(
                                                                                                                                      a1) ** 2) / 2 + (
                                                                                                                                  h1 * tf.sin(
                                                                                                                                      a1) ** 2) / 2)

    return element3




def get_element2_tf(w1, h1, a1, w2, h2, a2):
    element2 = (w2 ** 2 * tf.sin(2 * a2)) / 8 - (h2 ** 2 * tf.sin(2 * a2)) / 8 - tf.sin(2 * a1) * (h1 / 4 - w1 / 4) * (
    h1 / 2 + (w1 * tf.sin(a1) ** 2) / 2 - (h1 * tf.sin(a1) ** 2) / 2) - tf.sin(2 * a1) * (h1 / 4 - w1 / 4) * (
    w1 / 2 - (w1 * tf.sin(a1) ** 2) / 2 + (h1 * tf.sin(a1) ** 2) / 2) + ((2 * w1 ** 2 * w2 ** 2 + 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (
                                                                  1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2)) ** (1 / 2) * (2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (1 / 2) - 2 * h1 ** 2 * h2 ** 2 * tf.cos(2 * a1) - h1 ** 2 * h2 ** 2 * tf.cos(
        2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(2 * a1) + 2 * h2 ** 2 * w1 ** 2 * tf.cos(2 * a1) + h1 ** 2 * w2 ** 2 * tf.cos(
        2 * a2) - h2 ** 2 * w1 ** 2 * tf.cos(2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(2 * a1) + w1 ** 2 * w2 ** 2 * tf.cos(
        2 * a2) - h1 ** 2 * h2 ** 2 * tf.cos(4 * a1 - 2 * a2) + h1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 2 * a2) - h2 ** 2 * w1 ** 2 * tf.cos(4 * a1 - 2 * a2) + w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.cos(2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.cos(
        2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.cos(4 * a1 - 2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.cos(4 * a1 - 2 * a2)) * ((2 ** (
    1 / 2) * (
                                                                                                                 3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                     4 * a1 - 4 * a2)) ** (
                                                                                                                 1 / 2)) / 4 + (
                                                                                                                h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                                    2 * a1)) / 2 + (
                                                                                                                h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                                    2 * a2)) / 4 + (
                                                                                                                h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                    2 * a1)) / 2 - (
                                                                                                                h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                                    2 * a1)) / 2 - (
                                                                                                                h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                    2 * a2)) / 4 + (
                                                                                                                h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                                    2 * a2)) / 4 - (
                                                                                                                w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                    2 * a1)) / 2 - (
                                                                                                                w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                    2 * a2)) / 4 + (
                                                                                                                h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 - (
                                                                                                                h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 + (
                                                                                                                h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 - (
                                                                                                                w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 + (
                                                                                                                h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                                    2 * a2)) / 2 - (
                                                                                                                h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                                    2 * a2)) / 2 - (
                                                                                                                h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 2 + (
                                                                                                                h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 2)) / (
                                                                4 * (2 * h1 ** 2 * h2 ** 2 * tf.sin(
                                                                    2 * a1) + h1 ** 2 * h2 ** 2 * tf.sin(
                                                                    2 * a2) + 2 * h1 ** 2 * w2 ** 2 * tf.sin(
                                                                    2 * a1) - 2 * h2 ** 2 * w1 ** 2 * tf.sin(
                                                                    2 * a1) - h1 ** 2 * w2 ** 2 * tf.sin(
                                                                    2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
                                                                    2 * a2) - 2 * w1 ** 2 * w2 ** 2 * tf.sin(
                                                                    2 * a1) - w1 ** 2 * w2 ** 2 * tf.sin(
                                                                    2 * a2) + h1 ** 2 * h2 ** 2 * tf.sin(
                                                                    4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * tf.sin(
                                                                    4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
                                                                    4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * tf.sin(
                                                                    4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.sin(
                                                                    2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.sin(
                                                                    2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.sin(
                                                                    4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.sin(
                                                                    4 * a1 - 2 * a2)) * (
                                                                3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                    2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                    4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                    2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                    2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                    4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                    4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                    2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                    4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                    4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                    4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                    4 * a1 - 4 * a2)) ** (1 / 2)) - ((
                                                                                                    2 * w1 ** 2 * w2 ** 2 - 2 ** (
                                                                                                    1 / 2) * (
                                                                                                    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2)) ** (
                                                                                                    1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a1 - 2 * a2)) ** (
                                                                                                    1 / 2) * (
                                                                                                    2 ** (1 / 2) * (
                                                                                                    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2)) ** (
                                                                                                    1 / 2) + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                        2 * a1) + h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                        2 * a2) + 2 * h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a1) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                        2 * a1) - h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a2) + h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                        2 * a2) - 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a1) - w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a2) + h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                        2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                        2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                        4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2)) * (
                                                                                                    (2 ** (1 / 2) * (
                                                                                                    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 4 * a2)) ** (
                                                                                                     1 / 2)) / 4 - (
                                                                                                    h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                        2 * a1)) / 2 - (
                                                                                                    h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                        2 * a2)) / 4 - (
                                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a1)) / 2 + (
                                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                        2 * a1)) / 2 + (
                                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a2)) / 4 - (
                                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                        2 * a2)) / 4 + (
                                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a1)) / 2 + (
                                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        2 * a2)) / 4 - (
                                                                                                    h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                                    h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                        2 * a2)) / 2 + (
                                                                                                    h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                        2 * a2)) / 2 + (
                                                                                                    h1 * h2 ** 2 * w1 * tf.cos(
                                                                                                        4 * a1 - 2 * a2)) / 2 - (
                                                                                                    h1 * w1 * w2 ** 2 * tf.cos(
                                                                                                        4 * a1 - 2 * a2)) / 2)) / (
                                                                                                   4 * (
                                                                                                   2 * h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                       2 * a1) + h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                       2 * a2) + 2 * h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                       2 * a1) - 2 * h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                       2 * a1) - h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                       2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                       2 * a2) - 2 * w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                       2 * a1) - w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                       2 * a2) + h1 ** 2 * h2 ** 2 * tf.sin(
                                                                                                       4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                       4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * tf.sin(
                                                                                                       4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * tf.sin(
                                                                                                       4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                       2 * a2) - 2 * h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                       2 * a2) - 2 * h1 * h2 ** 2 * w1 * tf.sin(
                                                                                                       4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * tf.sin(
                                                                                                       4 * a1 - 2 * a2)) * (
                                                                                                   3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                       2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                       2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                       2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                       2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
                                                                                                       4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                                       4 * a1 - 4 * a2)) ** (
                                                                                                   1 / 2))

    return element2



def get_element4_tf(w1, h1, a1, w2, h2, a2):
    element4 = (h1 + w1 * tf.sin(a1) ** 2 - h1 * tf.sin(a1) ** 2) ** 2 / 4 + (h2 ** 2 * tf.cos(a2) ** 2) / 4 + (w2 ** 2 * tf.sin(a2) ** 2) / 4 + (tf.sin(
        2 * a1) ** 2 * (h1 - w1) ** 2) / 16 - ((2 * w1 ** 2 * w2 ** 2 + 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (
                                              1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2)) ** (1 / 2) * ((2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (1 / 2)) / 4 + (h1 ** 2 * h2 ** 2 * tf.cos(2 * a1)) / 2 + (h1 ** 2 * h2 ** 2 * tf.cos(2 * a2)) / 4 + (
                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a1)) / 2 - (
                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                        2 * a1)) / 2 - (
                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a2)) / 4 + (
                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                        2 * a2)) / 4 - (
                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a1)) / 2 - (
                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a2)) / 4 + (
                                                                                    h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    h1 * h2 ** 2 * w1 * tf.cos(
                                                                                        2 * a2)) / 2 - (
                                                                                    h1 * w1 * w2 ** 2 * tf.cos(
                                                                                        2 * a2)) / 2 - (
                                                                                    h1 * h2 ** 2 * w1 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 2 + (
                                                                                    h1 * w1 * w2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 2)) / (4 * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (1 / 2)) - ((2 * w1 ** 2 * w2 ** 2 - 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (
                                         1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * tf.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * tf.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * tf.cos(2 * a1 - 2 * a2)) ** (1 / 2) * ((2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (1 / 2)) / 4 - (h1 ** 2 * h2 ** 2 * tf.cos(2 * a1)) / 2 - (h1 ** 2 * h2 ** 2 * tf.cos(2 * a2)) / 4 - (
                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a1)) / 2 + (
                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                        2 * a1)) / 2 + (
                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a2)) / 4 - (
                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                        2 * a2)) / 4 + (
                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a1)) / 2 + (
                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        2 * a2)) / 4 - (
                                                                                    h1 ** 2 * h2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    h1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    h2 ** 2 * w1 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    w1 ** 2 * w2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    h1 * h2 ** 2 * w1 * tf.cos(
                                                                                        2 * a2)) / 2 + (
                                                                                    h1 * w1 * w2 ** 2 * tf.cos(
                                                                                        2 * a2)) / 2 + (
                                                                                    h1 * h2 ** 2 * w1 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 2 - (
                                                                                    h1 * w1 * w2 ** 2 * tf.cos(
                                                                                        4 * a1 - 2 * a2)) / 2)) / (4 * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * tf.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * tf.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * tf.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * tf.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * tf.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * tf.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * tf.cos(
        4 * a1 - 4 * a2)) ** (1 / 2))
    return element4


def get_element1(w1, h1, a1, w2, h2, a2):
    element1 = (w1 - w1 * np.sin(a1) ** 2 + h1 * np.sin(a1) ** 2) ** 2 / 4 + (w2 ** 2 * np.cos(a2) ** 2) / 4 + (h2 ** 2 * np.sin(a2) ** 2) / 4 + (np.sin(
        2 * a1) ** 2 * (h1 - w1) ** 2) / 16 - ((2 * w1 ** 2 * w2 ** 2 + 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (
                                              1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2)) ** (1 / 2) * (
                                             (h1 ** 2 * h2 ** 2 * np.sin(2 * a1)) / 4 + (
                                             h1 ** 2 * h2 ** 2 * np.sin(2 * a2)) / 8 + (
                                             h1 ** 2 * w2 ** 2 * np.sin(2 * a1)) / 4 - (
                                             h2 ** 2 * w1 ** 2 * np.sin(2 * a1)) / 4 - (
                                             h1 ** 2 * w2 ** 2 * np.sin(2 * a2)) / 8 + (
                                             h2 ** 2 * w1 ** 2 * np.sin(2 * a2)) / 8 - (
                                             w1 ** 2 * w2 ** 2 * np.sin(2 * a1)) / 4 - (
                                             w1 ** 2 * w2 ** 2 * np.sin(2 * a2)) / 8 + (
                                             h1 ** 2 * h2 ** 2 * np.sin(4 * a1 - 2 * a2)) / 8 - (
                                             h1 ** 2 * w2 ** 2 * np.sin(4 * a1 - 2 * a2)) / 8 + (
                                             h2 ** 2 * w1 ** 2 * np.sin(4 * a1 - 2 * a2)) / 8 - (
                                             w1 ** 2 * w2 ** 2 * np.sin(4 * a1 - 2 * a2)) / 8 + (
                                             h1 * h2 ** 2 * w1 * np.sin(2 * a2)) / 4 - (
                                             h1 * w1 * w2 ** 2 * np.sin(2 * a2)) / 4 - (
                                             h1 * h2 ** 2 * w1 * np.sin(4 * a1 - 2 * a2)) / 4 + (
                                             h1 * w1 * w2 ** 2 * np.sin(4 * a1 - 2 * a2)) / 4) * (2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (1 / 2) - 2 * h1 ** 2 * h2 ** 2 * np.cos(2 * a1) - h1 ** 2 * h2 ** 2 * np.cos(
        2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(2 * a1) + 2 * h2 ** 2 * w1 ** 2 * np.cos(2 * a1) + h1 ** 2 * w2 ** 2 * np.cos(
        2 * a2) - h2 ** 2 * w1 ** 2 * np.cos(2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(2 * a1) + w1 ** 2 * w2 ** 2 * np.cos(
        2 * a2) - h1 ** 2 * h2 ** 2 * np.cos(4 * a1 - 2 * a2) + h1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 2 * a2) - h2 ** 2 * w1 ** 2 * np.cos(4 * a1 - 2 * a2) + w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.cos(2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.cos(
        2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.cos(4 * a1 - 2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.cos(4 * a1 - 2 * a2))) / (2 * (
    2 * h1 ** 2 * h2 ** 2 * np.sin(2 * a1) + h1 ** 2 * h2 ** 2 * np.sin(2 * a2) + 2 * h1 ** 2 * w2 ** 2 * np.sin(
        2 * a1) - 2 * h2 ** 2 * w1 ** 2 * np.sin(2 * a1) - h1 ** 2 * w2 ** 2 * np.sin(2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
        2 * a2) - 2 * w1 ** 2 * w2 ** 2 * np.sin(2 * a1) - w1 ** 2 * w2 ** 2 * np.sin(2 * a2) + h1 ** 2 * h2 ** 2 * np.sin(
        4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * np.sin(4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
        4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * np.sin(4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.sin(
        2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.sin(2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.sin(
        4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.sin(4 * a1 - 2 * a2)) * (
                                                                                                                 3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2)) ** (
                                                                                                                 1 / 2)) - (
                                                                                                                           (
                                                                                                                           2 * w1 ** 2 * w2 ** 2 - 2 ** (
                                                                                                                           1 / 2) * (
                                                                                                                           3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2)) ** (
                                                                                                                           1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               2 * a1 - 2 * a2)) ** (
                                                                                                                           1 / 2) * (
                                                                                                                           (
                                                                                                                           h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                                               2 * a1)) / 4 + (
                                                                                                                           h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                                               2 * a2)) / 8 + (
                                                                                                                           h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a1)) / 4 - (
                                                                                                                           h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                                               2 * a1)) / 4 - (
                                                                                                                           h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a2)) / 8 + (
                                                                                                                           h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                                               2 * a2)) / 8 - (
                                                                                                                           w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a1)) / 4 - (
                                                                                                                           w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a2)) / 8 + (
                                                                                                                           h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 - (
                                                                                                                           h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 + (
                                                                                                                           h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 - (
                                                                                                                           w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 8 + (
                                                                                                                           h1 * h2 ** 2 * w1 * np.sin(
                                                                                                                               2 * a2)) / 4 - (
                                                                                                                           h1 * w1 * w2 ** 2 * np.sin(
                                                                                                                               2 * a2)) / 4 - (
                                                                                                                           h1 * h2 ** 2 * w1 * np.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 4 + (
                                                                                                                           h1 * w1 * w2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2)) / 4) * (
                                                                                                                           2 ** (
                                                                                                                           1 / 2) * (
                                                                                                                           3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2)) ** (
                                                                                                                           1 / 2) + 2 * h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                                               2 * a1) + h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                                               2 * a2) + 2 * h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               2 * a1) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                                               2 * a1) - h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               2 * a2) + h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                                               2 * a2) - 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               2 * a1) - w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               2 * a2) + h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                                               4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.cos(
                                                                                                                               2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.cos(
                                                                                                                               2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.cos(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 2 * a2))) / (
                                                                                                                           2 * (
                                                                                                                           2 * h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                                               2 * a1) + h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                                               2 * a2) + 2 * h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a1) - 2 * h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                                               2 * a1) - h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                                               2 * a2) - 2 * w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a1) - w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               2 * a2) + h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.sin(
                                                                                                                               2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.sin(
                                                                                                                               2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.sin(
                                                                                                                               4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.sin(
                                                                                                                               4 * a1 - 2 * a2)) * (
                                                                                                                           3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                               4 * a1 - 4 * a2)) ** (
                                                                                                                           1 / 2))

    return element1


def get_element3(w1, h1, a1, w2, h2, a2):
    element3 = (w2 ** 2 * np.sin(2 * a2)) / 8 - (h2 ** 2 * np.sin(2 * a2)) / 8 + ((2 * w1 ** 2 * w2 ** 2 + 2 ** (
    1 / 2) * (
                                                                                       3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                           2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                           4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                           2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                           2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                           4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                           4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                           2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                           4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                           4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                           4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                           4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                           4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                           4 * a1 - 4 * a2)) ** (
                                                                                       1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2)) ** (1 / 2) * (
                                                                                      (h1 ** 2 * h2 ** 2 * np.sin(
                                                                                          2 * a1)) / 4 + (
                                                                                          h1 ** 2 * h2 ** 2 * np.sin(
                                                                                              2 * a2)) / 8 + (
                                                                                          h1 ** 2 * w2 ** 2 * np.sin(
                                                                                              2 * a1)) / 4 - (
                                                                                          h2 ** 2 * w1 ** 2 * np.sin(
                                                                                              2 * a1)) / 4 - (
                                                                                          h1 ** 2 * w2 ** 2 * np.sin(
                                                                                              2 * a2)) / 8 + (
                                                                                          h2 ** 2 * w1 ** 2 * np.sin(
                                                                                              2 * a2)) / 8 - (
                                                                                          w1 ** 2 * w2 ** 2 * np.sin(
                                                                                              2 * a1)) / 4 - (
                                                                                          w1 ** 2 * w2 ** 2 * np.sin(
                                                                                              2 * a2)) / 8 + (
                                                                                          h1 ** 2 * h2 ** 2 * np.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 - (
                                                                                          h1 ** 2 * w2 ** 2 * np.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 + (
                                                                                          h2 ** 2 * w1 ** 2 * np.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 - (
                                                                                          w1 ** 2 * w2 ** 2 * np.sin(
                                                                                              4 * a1 - 2 * a2)) / 8 + (
                                                                                          h1 * h2 ** 2 * w1 * np.sin(
                                                                                              2 * a2)) / 4 - (
                                                                                          h1 * w1 * w2 ** 2 * np.sin(
                                                                                              2 * a2)) / 4 - (
                                                                                          h1 * h2 ** 2 * w1 * np.sin(
                                                                                              4 * a1 - 2 * a2)) / 4 + (
                                                                                          h1 * w1 * w2 ** 2 * np.sin(
                                                                                              4 * a1 - 2 * a2)) / 4)) / (
                                                                                 2 * (
                                                                                     3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                         2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                         4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                         2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                         2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                         4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                         4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                         2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                         4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                         4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                         4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                         4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                         4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                         4 * a1 - 4 * a2)) ** (
                                                                                 1 / 2)) - ((
                                                                                            2 * w1 ** 2 * w2 ** 2 - 2 ** (
                                                                                            1 / 2) * (
                                                                                                3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                    2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                    4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                    2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                    2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                    4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                    4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                    2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                    4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                    4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                    4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                    4 * a1 - 4 * a2)) ** (
                                                                                                1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                2 * a1 - 2 * a2)) ** (
                                                                                            1 / 2) * (
                                                                                                (
                                                                                                h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                    2 * a1)) / 4 + (
                                                                                                h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                    2 * a2)) / 8 + (
                                                                                                    h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                        2 * a1)) / 4 - (
                                                                                                h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                    2 * a1)) / 4 - (
                                                                                                    h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                        2 * a2)) / 8 + (
                                                                                                h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                    2 * a2)) / 8 - (
                                                                                                    w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                        2 * a1)) / 4 - (
                                                                                                w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                    2 * a2)) / 8 + (
                                                                                                    h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 - (
                                                                                                    h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 + (
                                                                                                    h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 - (
                                                                                                    w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                        4 * a1 - 2 * a2)) / 8 + (
                                                                                                    h1 * h2 ** 2 * w1 * np.sin(
                                                                                                        2 * a2)) / 4 - (
                                                                                                h1 * w1 * w2 ** 2 * np.sin(
                                                                                                    2 * a2)) / 4 - (
                                                                                                    h1 * h2 ** 2 * w1 * np.sin(
                                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                                    h1 * w1 * w2 ** 2 * np.sin(
                                                                                                        4 * a1 - 2 * a2)) / 4)) / (
                                                                                           2 * (
                                                                                               3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                   2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                   4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                   2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                   2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                   4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                   4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                   2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                   4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                   4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                   4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                   4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                   4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                   4 * a1 - 4 * a2)) ** (
                                                                                           1 / 2)) - np.sin(2 * a1) * (
    h1 / 4 - w1 / 4) * (
                                                                                                         h1 / 2 + (
                                                                                                         w1 * np.sin(
                                                                                                             a1) ** 2) / 2 - (
                                                                                                         h1 * np.sin(
                                                                                                             a1) ** 2) / 2) - np.sin(
        2 * a1) * (h1 / 4 - w1 / 4) * (
                                                                                                                                  w1 / 2 - (
                                                                                                                                  w1 * np.sin(
                                                                                                                                      a1) ** 2) / 2 + (
                                                                                                                                  h1 * np.sin(
                                                                                                                                      a1) ** 2) / 2)

    return element3




def get_element2(w1, h1, a1, w2, h2, a2):
    element2 = (w2 ** 2 * np.sin(2 * a2)) / 8 - (h2 ** 2 * np.sin(2 * a2)) / 8 - np.sin(2 * a1) * (h1 / 4 - w1 / 4) * (
    h1 / 2 + (w1 * np.sin(a1) ** 2) / 2 - (h1 * np.sin(a1) ** 2) / 2) - np.sin(2 * a1) * (h1 / 4 - w1 / 4) * (
    w1 / 2 - (w1 * np.sin(a1) ** 2) / 2 + (h1 * np.sin(a1) ** 2) / 2) + ((2 * w1 ** 2 * w2 ** 2 + 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (
                                                                  1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2)) ** (1 / 2) * (2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (1 / 2) - 2 * h1 ** 2 * h2 ** 2 * np.cos(2 * a1) - h1 ** 2 * h2 ** 2 * np.cos(
        2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(2 * a1) + 2 * h2 ** 2 * w1 ** 2 * np.cos(2 * a1) + h1 ** 2 * w2 ** 2 * np.cos(
        2 * a2) - h2 ** 2 * w1 ** 2 * np.cos(2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(2 * a1) + w1 ** 2 * w2 ** 2 * np.cos(
        2 * a2) - h1 ** 2 * h2 ** 2 * np.cos(4 * a1 - 2 * a2) + h1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 2 * a2) - h2 ** 2 * w1 ** 2 * np.cos(4 * a1 - 2 * a2) + w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.cos(2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.cos(
        2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.cos(4 * a1 - 2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.cos(4 * a1 - 2 * a2)) * ((2 ** (
    1 / 2) * (
                                                                                                                 3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                     4 * a1 - 4 * a2)) ** (
                                                                                                                 1 / 2)) / 4 + (
                                                                                                                h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                                    2 * a1)) / 2 + (
                                                                                                                h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                                    2 * a2)) / 4 + (
                                                                                                                h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                    2 * a1)) / 2 - (
                                                                                                                h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                                    2 * a1)) / 2 - (
                                                                                                                h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                    2 * a2)) / 4 + (
                                                                                                                h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                                    2 * a2)) / 4 - (
                                                                                                                w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                    2 * a1)) / 2 - (
                                                                                                                w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                    2 * a2)) / 4 + (
                                                                                                                h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 - (
                                                                                                                h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 + (
                                                                                                                h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 - (
                                                                                                                w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 4 + (
                                                                                                                h1 * h2 ** 2 * w1 * np.cos(
                                                                                                                    2 * a2)) / 2 - (
                                                                                                                h1 * w1 * w2 ** 2 * np.cos(
                                                                                                                    2 * a2)) / 2 - (
                                                                                                                h1 * h2 ** 2 * w1 * np.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 2 + (
                                                                                                                h1 * w1 * w2 ** 2 * np.cos(
                                                                                                                    4 * a1 - 2 * a2)) / 2)) / (
                                                                4 * (2 * h1 ** 2 * h2 ** 2 * np.sin(
                                                                    2 * a1) + h1 ** 2 * h2 ** 2 * np.sin(
                                                                    2 * a2) + 2 * h1 ** 2 * w2 ** 2 * np.sin(
                                                                    2 * a1) - 2 * h2 ** 2 * w1 ** 2 * np.sin(
                                                                    2 * a1) - h1 ** 2 * w2 ** 2 * np.sin(
                                                                    2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
                                                                    2 * a2) - 2 * w1 ** 2 * w2 ** 2 * np.sin(
                                                                    2 * a1) - w1 ** 2 * w2 ** 2 * np.sin(
                                                                    2 * a2) + h1 ** 2 * h2 ** 2 * np.sin(
                                                                    4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * np.sin(
                                                                    4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
                                                                    4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * np.sin(
                                                                    4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.sin(
                                                                    2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.sin(
                                                                    2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.sin(
                                                                    4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.sin(
                                                                    4 * a1 - 2 * a2)) * (
                                                                3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                    2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                    4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                    2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                    2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                    4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                    4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                    2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                    4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                    4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                    4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                    4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                    4 * a1 - 4 * a2)) ** (1 / 2)) - ((
                                                                                                    2 * w1 ** 2 * w2 ** 2 - 2 ** (
                                                                                                    1 / 2) * (
                                                                                                    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2)) ** (
                                                                                                    1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a1 - 2 * a2)) ** (
                                                                                                    1 / 2) * (
                                                                                                    2 ** (1 / 2) * (
                                                                                                    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2)) ** (
                                                                                                    1 / 2) + 2 * h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                        2 * a1) + h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                        2 * a2) + 2 * h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a1) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                        2 * a1) - h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a2) + h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                        2 * a2) - 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a1) - w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a2) + h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.cos(
                                                                                                        2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.cos(
                                                                                                        2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.cos(
                                                                                                        4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2)) * (
                                                                                                    (2 ** (1 / 2) * (
                                                                                                    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 4 * a2)) ** (
                                                                                                     1 / 2)) / 4 - (
                                                                                                    h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                        2 * a1)) / 2 - (
                                                                                                    h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                        2 * a2)) / 4 - (
                                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a1)) / 2 + (
                                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                        2 * a1)) / 2 + (
                                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a2)) / 4 - (
                                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                        2 * a2)) / 4 + (
                                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a1)) / 2 + (
                                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        2 * a2)) / 4 - (
                                                                                                    h1 ** 2 * h2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                                    h1 * h2 ** 2 * w1 * np.cos(
                                                                                                        2 * a2)) / 2 + (
                                                                                                    h1 * w1 * w2 ** 2 * np.cos(
                                                                                                        2 * a2)) / 2 + (
                                                                                                    h1 * h2 ** 2 * w1 * np.cos(
                                                                                                        4 * a1 - 2 * a2)) / 2 - (
                                                                                                    h1 * w1 * w2 ** 2 * np.cos(
                                                                                                        4 * a1 - 2 * a2)) / 2)) / (
                                                                                                   4 * (
                                                                                                   2 * h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                       2 * a1) + h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                       2 * a2) + 2 * h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                       2 * a1) - 2 * h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                       2 * a1) - h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                       2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                       2 * a2) - 2 * w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                       2 * a1) - w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                       2 * a2) + h1 ** 2 * h2 ** 2 * np.sin(
                                                                                                       4 * a1 - 2 * a2) - h1 ** 2 * w2 ** 2 * np.sin(
                                                                                                       4 * a1 - 2 * a2) + h2 ** 2 * w1 ** 2 * np.sin(
                                                                                                       4 * a1 - 2 * a2) - w1 ** 2 * w2 ** 2 * np.sin(
                                                                                                       4 * a1 - 2 * a2) + 2 * h1 * h2 ** 2 * w1 * np.sin(
                                                                                                       2 * a2) - 2 * h1 * w1 * w2 ** 2 * np.sin(
                                                                                                       2 * a2) - 2 * h1 * h2 ** 2 * w1 * np.sin(
                                                                                                       4 * a1 - 2 * a2) + 2 * h1 * w1 * w2 ** 2 * np.sin(
                                                                                                       4 * a1 - 2 * a2)) * (
                                                                                                   3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                       2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(
                                                                                                       4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                       2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                       2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
                                                                                                       4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(
                                                                                                       4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                       2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
                                                                                                       4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
                                                                                                       4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(
                                                                                                       4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
                                                                                                       4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
                                                                                                       4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
                                                                                                       4 * a1 - 4 * a2)) ** (
                                                                                                   1 / 2))

    return element2



def get_element4(w1, h1, a1, w2, h2, a2):
    element4 = (h1 + w1 * np.sin(a1) ** 2 - h1 * np.sin(a1) ** 2) ** 2 / 4 + (h2 ** 2 * np.cos(a2) ** 2) / 4 + (w2 ** 2 * np.sin(a2) ** 2) / 4 + (np.sin(
        2 * a1) ** 2 * (h1 - w1) ** 2) / 16 - ((2 * w1 ** 2 * w2 ** 2 + 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (
                                              1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2)) ** (1 / 2) * ((2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (1 / 2)) / 4 + (h1 ** 2 * h2 ** 2 * np.cos(2 * a1)) / 2 + (h1 ** 2 * h2 ** 2 * np.cos(2 * a2)) / 4 + (
                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a1)) / 2 - (
                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                        2 * a1)) / 2 - (
                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a2)) / 4 + (
                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                        2 * a2)) / 4 - (
                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a1)) / 2 - (
                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a2)) / 4 + (
                                                                                    h1 ** 2 * h2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    h1 * h2 ** 2 * w1 * np.cos(
                                                                                        2 * a2)) / 2 - (
                                                                                    h1 * w1 * w2 ** 2 * np.cos(
                                                                                        2 * a2)) / 2 - (
                                                                                    h1 * h2 ** 2 * w1 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 2 + (
                                                                                    h1 * w1 * w2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 2)) / (4 * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (1 / 2)) - ((2 * w1 ** 2 * w2 ** 2 - 2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (
                                         1 / 2) + 2 * h1 ** 2 * h2 ** 2 + 2 * h1 ** 2 * w2 ** 2 + 2 * h2 ** 2 * w1 ** 2 + 2 * h1 ** 2 * h2 ** 2 * np.cos(
        2 * a1 - 2 * a2) - 2 * h1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2) - 2 * h2 ** 2 * w1 ** 2 * np.cos(
        2 * a1 - 2 * a2) + 2 * w1 ** 2 * w2 ** 2 * np.cos(2 * a1 - 2 * a2)) ** (1 / 2) * ((2 ** (1 / 2) * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (1 / 2)) / 4 - (h1 ** 2 * h2 ** 2 * np.cos(2 * a1)) / 2 - (h1 ** 2 * h2 ** 2 * np.cos(2 * a2)) / 4 - (
                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a1)) / 2 + (
                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                        2 * a1)) / 2 + (
                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a2)) / 4 - (
                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                        2 * a2)) / 4 + (
                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a1)) / 2 + (
                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                        2 * a2)) / 4 - (
                                                                                    h1 ** 2 * h2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    h1 ** 2 * w2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    h2 ** 2 * w1 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 + (
                                                                                    w1 ** 2 * w2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 4 - (
                                                                                    h1 * h2 ** 2 * w1 * np.cos(
                                                                                        2 * a2)) / 2 + (
                                                                                    h1 * w1 * w2 ** 2 * np.cos(
                                                                                        2 * a2)) / 2 + (
                                                                                    h1 * h2 ** 2 * w1 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 2 - (
                                                                                    h1 * w1 * w2 ** 2 * np.cos(
                                                                                        4 * a1 - 2 * a2)) / 2)) / (4 * (
    3 * w1 ** 4 * w2 ** 4 + 3 * h1 ** 4 * h2 ** 4 + 3 * h1 ** 4 * w2 ** 4 + 3 * h2 ** 4 * w1 ** 4 + 4 * h1 ** 4 * h2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + h1 ** 4 * h2 ** 4 * np.cos(4 * a1 - 4 * a2) - 4 * h1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) - 4 * h2 ** 4 * w1 ** 4 * np.cos(2 * a1 - 2 * a2) + h1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + h2 ** 4 * w1 ** 4 * np.cos(4 * a1 - 4 * a2) + 4 * w1 ** 4 * w2 ** 4 * np.cos(
        2 * a1 - 2 * a2) + w1 ** 4 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) + 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 + 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 + 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 + 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 - 2 * h1 ** 2 * h2 ** 4 * w1 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 2 * h1 ** 4 * h2 ** 2 * w2 ** 2 * np.cos(4 * a1 - 4 * a2) - 2 * h1 ** 2 * w1 ** 2 * w2 ** 4 * np.cos(
        4 * a1 - 4 * a2) - 2 * h2 ** 2 * w1 ** 4 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2) - 20 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 + 4 * h1 ** 2 * h2 ** 2 * w1 ** 2 * w2 ** 2 * np.cos(
        4 * a1 - 4 * a2)) ** (1 / 2))
    return element4

if __name__ == '__main__':
    print(get_element1(70, 10, -0.7854, 70, 10, -0.87266))
    print(get_element2(70, 10, -0.7854, 70, 10, -0.87266))
    print(get_element3(70, 10, -0.7854, 70, 10, -0.87266))
    print(get_element4(70, 10, -0.7854, 70, 10, -0.87266))